package com.ym.mec.biz.dal.page;

import io.swagger.annotations.ApiModelProperty;

import com.ym.mec.biz.dal.enums.YesOrNoEnum;
import com.ym.mec.common.page.QueryInfo;

public class GoodsQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "商品分类",required = false)
    private Integer goodsCategoryId;

    //是否是新品（1，是  0，否）
    @ApiModelProperty(value = "是否是新品（1，是  0，否）",required = false)
    private YesOrNoEnum isNew;

    //是否置顶（1，置顶   0，不置顶）
    @ApiModelProperty(value = "是否置顶（1，置顶   0，不置顶）",required = false)
    private YesOrNoEnum isTop;

    //状态（1，上架  0，下架）
    @ApiModelProperty(value = "状态（1，上架  0，下架）",required = false)
    private YesOrNoEnum status;

    public Integer getGoodsCategoryId() {
        return goodsCategoryId;
    }

    public void setGoodsCategoryId(Integer goodsCategoryId) {
        this.goodsCategoryId = goodsCategoryId;
    }

    public YesOrNoEnum getIsNew() {
        return isNew;
    }

    public void setIsNew(YesOrNoEnum isNew) {
        this.isNew = isNew;
    }

    public YesOrNoEnum getIsTop() {
        return isTop;
    }

    public void setIsTop(YesOrNoEnum isTop) {
        this.isTop = isTop;
    }

    public YesOrNoEnum getStatus() {
        return status;
    }

    public void setStatus(YesOrNoEnum status) {
        this.status = status;
    }
}
